org.apache.hadoop.yarn.server.nodemanager.webapp.dao

## Class AppInfo

- java.lang.Object
- - org.apache.hadoop.yarn.server.nodemanager.webapp.dao.AppInfo

-     public class AppInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ArrayList<String>` | `containerids`
    `protected String` | `id`
    `protected String` | `state`
    `protected String` | `user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppInfo()`
    `AppInfo(Application app)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<String>` | `getContainers()`
    `String` | `getId()`
    `String` | `getState()`
    `String` | `getUser()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### state

          protected String state

    - #### user

          protected String user

    - #### containerids

          protected ArrayList<String> containerids

  - ### Constructor Detail

    - #### AppInfo

          public AppInfo()

    - #### AppInfo

          public AppInfo(Application app)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getUser

          public String getUser()

    - #### getState

          public String getState()

    - #### getContainers

          public ArrayList<String> getContainers()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.